<html>
	<head>
		<meta charset="utf-8">
		<title>My first three.js app</title>
		<style>
			body { margin: 0; }
		</style>
		<link rel="stylesheet" href="style_game.css">
	</head>
	<body>
		<!-- <script src="https://threejsfundamentals.org/threejs/resources/threejs/r132/build/three.js"></script> -->
		<script async src="https://unpkg.com/es-module-shims@1.3.6/dist/es-module-shims.js"></script>
		<script type="importmap">
		{
			"imports": {
				"three": "../node_modules/three/build/three.module.js",
				"orbitcontrols": "../node_modules/three/examples/jsm/controls/OrbitControls.js",
				"fpc": "../node_modules/three/examples/jsm/controls/FirstPersonControls.js",
				"GLTFLoader": "../node_modules/three/examples/jsm/loaders/GLTFLoader.js",
				"postprocessing": "../node_modules/postprocessing/build/postprocessing.js"
			}
		}
 		</script>
		<script type="module">
			import * as THREE from "three";
			import { scene_start } from './js/script.js';
			scene_start()
		</script>
		<div id="pause-modal" style="display: none">
			<p>Are you sure you want to exit?</p>
			<button id="yes-btn">YES</button>
			<button id="no-btn">NO</button>
		  </div>
		  

        <script>

			//create a windows to exit the game when the user press "ESC" 
			let gamePaused=false; //
            document.addEventListener('keydown', function(event) {
  				if (event.code === 'Escape') {
					gamePaused=!gamePaused;//
					if(gamePaused){//
   					document.getElementById('pause-modal').style.display = 'block';
					document.getElementById('game-screen').classList.add('dimmed');//
					}
					else{//
						document.getElementById('pause-modal').style.display = 'none';
        				document.getElementById('game-screen').classList.remove('dimmed');//
					}
  				}
			});

			document.getElementById('yes-btn').addEventListener('click', function() {
  				window.location.href = '../homepage/index.html';
			});
//add a way to recognize that if i press NO the animation should restart
			document.getElementById('no-btn').addEventListener('click', function() {
				gamePaused=false;//
  				document.getElementById('pause-modal').style.display = 'none';
				document.getElementByName('game-screen').classList.remove('dimmed');//
				//Here the code to restart
			});

        </script>
		
		<!-- leaderboard-->
		<div id="leaderboard" style="display: none;">
			<ul id="leaderboard-list">
			</ul>
		</div>
		<script>
		let clickCounter = 0;
		const leaderboardList = document.getElementById("leaderboard-list");
		const leaderboard = document.getElementById("leaderboard");
		const leaderboardData = [
   	 		{ username: "Utente1", score: 100 },
    		{ username: "Utente2", score: 90 },
    		{ username: "Utente3", score: 80 },
    		{ username: "Utente4", score: 70 },
    		{ username: "Utente5", score: 60 }
		];

		for (let i = 0; i < leaderboardData.length; i++) {
    	let listItem = document.createElement("li");
    	listItem.innerHTML = `<span class="username">${leaderboardData[i].username}</span> <span class="score">${leaderboardData[i].score}</span>`;
    	leaderboardList.appendChild(listItem);
		}

		document.addEventListener("click", function() {
    		clickCounter++;
    		if (clickCounter === 8) {
        		leaderboard.style.display = "block";
        		for (let i = 0; i < leaderboardData.length; i++) {
            		let listItem = document.createElement("li");
            		listItem.innerHTML = `<span class="username">${leaderboardData[i].username}</span> <span class="score">${leaderboardData[i].score}</span>`;
            		leaderboardList.appendChild(listItem);
        		}
    		}
		});

</script>
		
	</body>
</html>